package com.ruoyi.system.domain.visit.dr;

import java.io.Serializable;

public class VisitDrRule implements Serializable {
    private String id;

    private String title;

    private String chooseTime;

    /**
     * 1:综合执法抽查；2：其他抽查
     */
    private String chooseType;

    /**
     * 抽选表单：多个逗号连接
     */
    private String templateId;

    private String chooseForm;

    /**
     * 1:执法人员；2：专家人员
     */
    private String choosePeopleType;

    private String choosePeopleNum;

    private String choosePeopleGroup;

    /**
     * 是否筛选人员
     */
    private String isFilterOldPeople;

    /**
     * 筛选开始时间
     */
    private String filterPeopleStartTime;

    /**
     * 帅选结束时间
     */
    private String filterPeopleEndTime;

    /**
     * 年龄筛选条件
     */
    private String filterAgeExp;

    /**
     * 是否寻找综合信用比例：选择：1 不选择：0
     */
    private String isChooseCreditRatio;

    private String creditA;

    private String creditB;

    private String creditC;

    private String creditD;

    /**
     * 抽查不合格对象 1抽查  0不抽查
     */
    private String chooseOffGrade;

    private String chooseCompanyType;

    private String chooseCompanyNum;

    private String isFilterOldCompany;

    private String filterCompanyStartTime;

    private String filterCompanyEndTime;

    private String isValid;

    private String createTime;

    private String createBy;

    private String extfieldOne;

    private String extfieldTwo;

    private String extfieldThree;

    private String extfieldFour;

    private String extfieldFive;

    private String extfieldSix;

    private String extfieldSeven;

    private String extfieldEight;

    private String extfieldNine;

    /**
     * 模板id
     */
    private String extfieldTen;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getChooseTime() {
        return chooseTime;
    }

    public void setChooseTime(String chooseTime) {
        this.chooseTime = chooseTime;
    }

    public String getChooseType() {
        return chooseType;
    }

    public void setChooseType(String chooseType) {
        this.chooseType = chooseType;
    }

    public String getChooseForm() {
        return chooseForm;
    }

    public void setChooseForm(String chooseForm) {
        this.chooseForm = chooseForm;
    }

    public String getChoosePeopleType() {
        return choosePeopleType;
    }

    public void setChoosePeopleType(String choosePeopleType) {
        this.choosePeopleType = choosePeopleType;
    }

    public String getChoosePeopleNum() {
        return choosePeopleNum;
    }

    public void setChoosePeopleNum(String choosePeopleNum) {
        this.choosePeopleNum = choosePeopleNum;
    }

    public String getChoosePeopleGroup() {
        return choosePeopleGroup;
    }

    public void setChoosePeopleGroup(String choosePeopleGroup) {
        this.choosePeopleGroup = choosePeopleGroup;
    }

    public String getIsFilterOldPeople() {
        return isFilterOldPeople;
    }

    public void setIsFilterOldPeople(String isFilterOldPeople) {
        this.isFilterOldPeople = isFilterOldPeople;
    }

    public String getFilterPeopleStartTime() {
        return filterPeopleStartTime;
    }

    public void setFilterPeopleStartTime(String filterPeopleStartTime) {
        this.filterPeopleStartTime = filterPeopleStartTime;
    }

    public String getFilterPeopleEndTime() {
        return filterPeopleEndTime;
    }

    public void setFilterPeopleEndTime(String filterPeopleEndTime) {
        this.filterPeopleEndTime = filterPeopleEndTime;
    }

    public String getFilterAgeExp() {
        return filterAgeExp;
    }

    public void setFilterAgeExp(String filterAgeExp) {
        this.filterAgeExp = filterAgeExp;
    }

    public String getIsChooseCreditRatio() {
        return isChooseCreditRatio;
    }

    public void setIsChooseCreditRatio(String isChooseCreditRatio) {
        this.isChooseCreditRatio = isChooseCreditRatio;
    }

    public String getCreditA() {
        return creditA;
    }

    public void setCreditA(String creditA) {
        this.creditA = creditA;
    }

    public String getCreditB() {
        return creditB;
    }

    public void setCreditB(String creditB) {
        this.creditB = creditB;
    }

    public String getCreditC() {
        return creditC;
    }

    public void setCreditC(String creditC) {
        this.creditC = creditC;
    }

    public String getCreditD() {
        return creditD;
    }

    public void setCreditD(String creditD) {
        this.creditD = creditD;
    }

    public String getChooseOffGrade() {
        return chooseOffGrade;
    }

    public void setChooseOffGrade(String chooseOffGrade) {
        this.chooseOffGrade = chooseOffGrade;
    }

    public String getChooseCompanyType() {
        return chooseCompanyType;
    }

    public void setChooseCompanyType(String chooseCompanyType) {
        this.chooseCompanyType = chooseCompanyType;
    }

    public String getChooseCompanyNum() {
        return chooseCompanyNum;
    }

    public void setChooseCompanyNum(String chooseCompanyNum) {
        this.chooseCompanyNum = chooseCompanyNum;
    }

    public String getIsFilterOldCompany() {
        return isFilterOldCompany;
    }

    public void setIsFilterOldCompany(String isFilterOldCompany) {
        this.isFilterOldCompany = isFilterOldCompany;
    }

    public String getFilterCompanyStartTime() {
        return filterCompanyStartTime;
    }

    public void setFilterCompanyStartTime(String filterCompanyStartTime) {
        this.filterCompanyStartTime = filterCompanyStartTime;
    }

    public String getFilterCompanyEndTime() {
        return filterCompanyEndTime;
    }

    public void setFilterCompanyEndTime(String filterCompanyEndTime) {
        this.filterCompanyEndTime = filterCompanyEndTime;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getExtfieldOne() {
        return extfieldOne;
    }

    public void setExtfieldOne(String extfieldOne) {
        this.extfieldOne = extfieldOne;
    }

    public String getExtfieldTwo() {
        return extfieldTwo;
    }

    public void setExtfieldTwo(String extfieldTwo) {
        this.extfieldTwo = extfieldTwo;
    }

    public String getExtfieldThree() {
        return extfieldThree;
    }

    public void setExtfieldThree(String extfieldThree) {
        this.extfieldThree = extfieldThree;
    }

    public String getExtfieldFour() {
        return extfieldFour;
    }

    public void setExtfieldFour(String extfieldFour) {
        this.extfieldFour = extfieldFour;
    }

    public String getExtfieldFive() {
        return extfieldFive;
    }

    public void setExtfieldFive(String extfieldFive) {
        this.extfieldFive = extfieldFive;
    }

    public String getExtfieldSix() {
        return extfieldSix;
    }

    public void setExtfieldSix(String extfieldSix) {
        this.extfieldSix = extfieldSix;
    }

    public String getExtfieldSeven() {
        return extfieldSeven;
    }

    public void setExtfieldSeven(String extfieldSeven) {
        this.extfieldSeven = extfieldSeven;
    }

    public String getExtfieldEight() {
        return extfieldEight;
    }

    public void setExtfieldEight(String extfieldEight) {
        this.extfieldEight = extfieldEight;
    }

    public String getExtfieldNine() {
        return extfieldNine;
    }

    public void setExtfieldNine(String extfieldNine) {
        this.extfieldNine = extfieldNine;
    }

    public String getExtfieldTen() {
        return extfieldTen;
    }

    public void setExtfieldTen(String extfieldTen) {
        this.extfieldTen = extfieldTen;
    }

    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", title=").append(title);
        sb.append(", chooseTime=").append(chooseTime);
        sb.append(", chooseType=").append(chooseType);
        sb.append(", chooseForm=").append(chooseForm);
        sb.append(", choosePeopleType=").append(choosePeopleType);
        sb.append(", choosePeopleNum=").append(choosePeopleNum);
        sb.append(", choosePeopleGroup=").append(choosePeopleGroup);
        sb.append(", isFilterOldPeople=").append(isFilterOldPeople);
        sb.append(", filterPeopleStartTime=").append(filterPeopleStartTime);
        sb.append(", filterPeopleEndTime=").append(filterPeopleEndTime);
        sb.append(", filterAgeExp=").append(filterAgeExp);
        sb.append(", isChooseCreditRatio=").append(isChooseCreditRatio);
        sb.append(", creditA=").append(creditA);
        sb.append(", creditB=").append(creditB);
        sb.append(", creditC=").append(creditC);
        sb.append(", creditD=").append(creditD);
        sb.append(", chooseOffGrade=").append(chooseOffGrade);
        sb.append(", chooseCompanyType=").append(chooseCompanyType);
        sb.append(", chooseCompanyNum=").append(chooseCompanyNum);
        sb.append(", isFilterOldCompany=").append(isFilterOldCompany);
        sb.append(", filterCompanyStartTime=").append(filterCompanyStartTime);
        sb.append(", filterCompanyEndTime=").append(filterCompanyEndTime);
        sb.append(", isValid=").append(isValid);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", extfieldOne=").append(extfieldOne);
        sb.append(", extfieldTwo=").append(extfieldTwo);
        sb.append(", extfieldThree=").append(extfieldThree);
        sb.append(", extfieldFour=").append(extfieldFour);
        sb.append(", extfieldFive=").append(extfieldFive);
        sb.append(", extfieldSix=").append(extfieldSix);
        sb.append(", extfieldSeven=").append(extfieldSeven);
        sb.append(", extfieldEight=").append(extfieldEight);
        sb.append(", extfieldNine=").append(extfieldNine);
        sb.append(", extfieldTen=").append(extfieldTen);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VisitDrRule other = (VisitDrRule) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
            && (this.getChooseTime() == null ? other.getChooseTime() == null : this.getChooseTime().equals(other.getChooseTime()))
            && (this.getChooseType() == null ? other.getChooseType() == null : this.getChooseType().equals(other.getChooseType()))
            && (this.getChooseForm() == null ? other.getChooseForm() == null : this.getChooseForm().equals(other.getChooseForm()))
            && (this.getChoosePeopleType() == null ? other.getChoosePeopleType() == null : this.getChoosePeopleType().equals(other.getChoosePeopleType()))
            && (this.getChoosePeopleNum() == null ? other.getChoosePeopleNum() == null : this.getChoosePeopleNum().equals(other.getChoosePeopleNum()))
            && (this.getChoosePeopleGroup() == null ? other.getChoosePeopleGroup() == null : this.getChoosePeopleGroup().equals(other.getChoosePeopleGroup()))
            && (this.getIsFilterOldPeople() == null ? other.getIsFilterOldPeople() == null : this.getIsFilterOldPeople().equals(other.getIsFilterOldPeople()))
            && (this.getFilterPeopleStartTime() == null ? other.getFilterPeopleStartTime() == null : this.getFilterPeopleStartTime().equals(other.getFilterPeopleStartTime()))
            && (this.getFilterPeopleEndTime() == null ? other.getFilterPeopleEndTime() == null : this.getFilterPeopleEndTime().equals(other.getFilterPeopleEndTime()))
            && (this.getFilterAgeExp() == null ? other.getFilterAgeExp() == null : this.getFilterAgeExp().equals(other.getFilterAgeExp()))
            && (this.getIsChooseCreditRatio() == null ? other.getIsChooseCreditRatio() == null : this.getIsChooseCreditRatio().equals(other.getIsChooseCreditRatio()))
            && (this.getCreditA() == null ? other.getCreditA() == null : this.getCreditA().equals(other.getCreditA()))
            && (this.getCreditB() == null ? other.getCreditB() == null : this.getCreditB().equals(other.getCreditB()))
            && (this.getCreditC() == null ? other.getCreditC() == null : this.getCreditC().equals(other.getCreditC()))
            && (this.getCreditD() == null ? other.getCreditD() == null : this.getCreditD().equals(other.getCreditD()))
            && (this.getChooseOffGrade() == null ? other.getChooseOffGrade() == null : this.getChooseOffGrade().equals(other.getChooseOffGrade()))
            && (this.getChooseCompanyType() == null ? other.getChooseCompanyType() == null : this.getChooseCompanyType().equals(other.getChooseCompanyType()))
            && (this.getChooseCompanyNum() == null ? other.getChooseCompanyNum() == null : this.getChooseCompanyNum().equals(other.getChooseCompanyNum()))
            && (this.getIsFilterOldCompany() == null ? other.getIsFilterOldCompany() == null : this.getIsFilterOldCompany().equals(other.getIsFilterOldCompany()))
            && (this.getFilterCompanyStartTime() == null ? other.getFilterCompanyStartTime() == null : this.getFilterCompanyStartTime().equals(other.getFilterCompanyStartTime()))
            && (this.getFilterCompanyEndTime() == null ? other.getFilterCompanyEndTime() == null : this.getFilterCompanyEndTime().equals(other.getFilterCompanyEndTime()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getExtfieldOne() == null ? other.getExtfieldOne() == null : this.getExtfieldOne().equals(other.getExtfieldOne()))
            && (this.getExtfieldTwo() == null ? other.getExtfieldTwo() == null : this.getExtfieldTwo().equals(other.getExtfieldTwo()))
            && (this.getExtfieldThree() == null ? other.getExtfieldThree() == null : this.getExtfieldThree().equals(other.getExtfieldThree()))
            && (this.getExtfieldFour() == null ? other.getExtfieldFour() == null : this.getExtfieldFour().equals(other.getExtfieldFour()))
            && (this.getExtfieldFive() == null ? other.getExtfieldFive() == null : this.getExtfieldFive().equals(other.getExtfieldFive()))
            && (this.getExtfieldSix() == null ? other.getExtfieldSix() == null : this.getExtfieldSix().equals(other.getExtfieldSix()))
            && (this.getExtfieldSeven() == null ? other.getExtfieldSeven() == null : this.getExtfieldSeven().equals(other.getExtfieldSeven()))
            && (this.getExtfieldEight() == null ? other.getExtfieldEight() == null : this.getExtfieldEight().equals(other.getExtfieldEight()))
            && (this.getExtfieldNine() == null ? other.getExtfieldNine() == null : this.getExtfieldNine().equals(other.getExtfieldNine()))
            && (this.getExtfieldTen() == null ? other.getExtfieldTen() == null : this.getExtfieldTen().equals(other.getExtfieldTen()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getChooseTime() == null) ? 0 : getChooseTime().hashCode());
        result = prime * result + ((getChooseType() == null) ? 0 : getChooseType().hashCode());
        result = prime * result + ((getChooseForm() == null) ? 0 : getChooseForm().hashCode());
        result = prime * result + ((getChoosePeopleType() == null) ? 0 : getChoosePeopleType().hashCode());
        result = prime * result + ((getChoosePeopleNum() == null) ? 0 : getChoosePeopleNum().hashCode());
        result = prime * result + ((getChoosePeopleGroup() == null) ? 0 : getChoosePeopleGroup().hashCode());
        result = prime * result + ((getIsFilterOldPeople() == null) ? 0 : getIsFilterOldPeople().hashCode());
        result = prime * result + ((getFilterPeopleStartTime() == null) ? 0 : getFilterPeopleStartTime().hashCode());
        result = prime * result + ((getFilterPeopleEndTime() == null) ? 0 : getFilterPeopleEndTime().hashCode());
        result = prime * result + ((getFilterAgeExp() == null) ? 0 : getFilterAgeExp().hashCode());
        result = prime * result + ((getIsChooseCreditRatio() == null) ? 0 : getIsChooseCreditRatio().hashCode());
        result = prime * result + ((getCreditA() == null) ? 0 : getCreditA().hashCode());
        result = prime * result + ((getCreditB() == null) ? 0 : getCreditB().hashCode());
        result = prime * result + ((getCreditC() == null) ? 0 : getCreditC().hashCode());
        result = prime * result + ((getCreditD() == null) ? 0 : getCreditD().hashCode());
        result = prime * result + ((getChooseOffGrade() == null) ? 0 : getChooseOffGrade().hashCode());
        result = prime * result + ((getChooseCompanyType() == null) ? 0 : getChooseCompanyType().hashCode());
        result = prime * result + ((getChooseCompanyNum() == null) ? 0 : getChooseCompanyNum().hashCode());
        result = prime * result + ((getIsFilterOldCompany() == null) ? 0 : getIsFilterOldCompany().hashCode());
        result = prime * result + ((getFilterCompanyStartTime() == null) ? 0 : getFilterCompanyStartTime().hashCode());
        result = prime * result + ((getFilterCompanyEndTime() == null) ? 0 : getFilterCompanyEndTime().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getExtfieldOne() == null) ? 0 : getExtfieldOne().hashCode());
        result = prime * result + ((getExtfieldTwo() == null) ? 0 : getExtfieldTwo().hashCode());
        result = prime * result + ((getExtfieldThree() == null) ? 0 : getExtfieldThree().hashCode());
        result = prime * result + ((getExtfieldFour() == null) ? 0 : getExtfieldFour().hashCode());
        result = prime * result + ((getExtfieldFive() == null) ? 0 : getExtfieldFive().hashCode());
        result = prime * result + ((getExtfieldSix() == null) ? 0 : getExtfieldSix().hashCode());
        result = prime * result + ((getExtfieldSeven() == null) ? 0 : getExtfieldSeven().hashCode());
        result = prime * result + ((getExtfieldEight() == null) ? 0 : getExtfieldEight().hashCode());
        result = prime * result + ((getExtfieldNine() == null) ? 0 : getExtfieldNine().hashCode());
        result = prime * result + ((getExtfieldTen() == null) ? 0 : getExtfieldTen().hashCode());
        return result;
    }
}